%define name libraw1394
%define major 5
#%define libname %{name}_%major

%define major 5
%define libname %{name}_%{major}
%define libnamedev %{libname}-devel

Name: %name
Version: 0.9.0
Release: 4mdk
License: GPL
Group: System/Libraries
Source0: http://download.sourceforge.net/libraw1394/%{name}_%{version}.tar.bz2
#(peroyvind) stolen from RedHat
Patch0: libraw1394-0.9.0-gcc33.patch.bz2
Buildroot: %{_tmppath}/%{name}-%{version}-root
URL: http://linux1394.sourceforge.net/
Summary: FireWire interface
Summary(pt_BR): FireWire interface
Summary(es): FireWire interface

%description
libraw1394 is the only supported interface to the kernel side raw1394 of
the Linux IEEE-1394 subsystem, which provides direct access to the connected
1394 buses to user space.  Through libraw1394/raw1394, applications can
directly send to and receive from other nodes without requiring a kernel driver
for the protocol in question.

The reason for making a library the interface to the kernel is to avoid
a program dependency on the kernel version, which would hinder development and
optimization of raw1394.  If development changed the protocol and made it
incompatible with previous versions only the libraw1394 has to be upgraded to
match the kernel version (instead of all applications).

%package -n %libname
Group: System/Libraries
Summary: FireWire interface shared library

%description -n %libname 
libraw1394 is the only supported interface to the kernel side raw1394 of
the Linux IEEE-1394 subsystem, which provides direct access to the connected
1394 buses to user space.  Through libraw1394/raw1394, applications can
directly send to and receive from other nodes without requiring a kernel driver
for the protocol in question.

The reason for making a library the interface to the kernel is to avoid
a program dependency on the kernel version, which would hinder development and
optimization of raw1394.  If development changed the protocol and made it
incompatible with previous versions only the libraw1394 has to be upgraded to
match the kernel version (instead of all applications).

This package contains the shared library to run applications linked
with %name.

%package -n %libnamedev
Summary: Development and include files for libraw1394
Summary(pt_BR): Arquivos de desenvolvimento e cabealhos para o libraw1394
Summary(es): Development and include files for libraw1394
Group: Development/C
Group(pt_BR): Desenvolvimento
Group(es): Desarrollo
Requires: %{libname} = %{version}-%{release}
Provides: %name-devel = %version-%release

%description -n %libnamedev
libraw1394 is the only supported interface to the kernel side raw1394 of
the Linux IEEE-1394 subsystem, which provides direct access to the connected
1394 buses to user space.  Through libraw1394/raw1394, applications can
directly send to and receive from other nodes without requiring a kernel driver
for the protocol in question.

This archive contains the header-files for libraw1394 development


%package -n %libname-static-devel
Summary: Development components for libraw1394
Summary(pt_BR): Componentes estticos de desenvolvimento para o libraw1394
Summary(es): Development components for libraw1394
Group: Development/C
Group(pt_BR): Desenvolvimento
Group(es): Desarrollo
Requires: %{libname}-devel = %{version}-%{release}

%description -n %libname-static-devel
libraw1394 is the only supported interface to the kernel side raw1394 of
the Linux IEEE-1394 subsystem, which provides direct access to the connected
1394 buses to user space.  Through libraw1394/raw1394, applications can
directly send to and receive from other nodes without requiring a kernel driver
for the protocol in question.

This archive contains the static libraries (.a) 


%prep
%setup -q
%patch0 -p1 -b .peroyvind

%build
%configure
%make

%install
rm -rf %{buildroot}
#make install DESTDIR=%{buildroot}
%makeinstall aclocaldir=%{buildroot}%{_datadir}/aclocal

%post -n %libname
/sbin/ldconfig
if [ $1 -eq 1 ] 
then 
mknod -m 600 /dev/raw1394 c 171 0
chown root.root /dev/raw1394
echo
echo "/dev/raw1394 created"
echo "It is owned by root with permissions 600.  You may want to fix"
echo "the group/permission to something appropriate for you."
echo "Note however that anyone who can open raw1394 can access all"
echo "devices on all connected 1394 buses unrestricted, including"
echo "harddisks and other probably sensitive devices."
echo
fi


%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -n %libname
%defattr(-,root,root)
%doc README NEWS INSTALL COPYING.LIB  COPYING AUTHORS
%{_libdir}/libraw1394.so.5.0.0
%{_libdir}/libraw1394.so.5

%files -n %libnamedev
%defattr(0644,root,root)
%attr(0755,root,root) %dir %{_includedir}/libraw1394
%{_libdir}/libraw1394.so
%{_libdir}/libraw1394.la
%dir %{_includedir}/libraw1394/
%{_includedir}/libraw1394/raw1394.h
%{_includedir}/libraw1394/ieee1394.h
%{_includedir}/libraw1394/csr.h
%{_datadir}/aclocal/libraw1394.m4
%attr(0755,root,root) %{_bindir}/testlibraw
%{_mandir}/man1/*

%files -n %libname-static-devel
%defattr(0644,root,root)
%{_libdir}/libraw1394.a

%changelog
* Thu Sep 04 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.0-4mdk
- mklibname

* Thu Jul 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.0-3mdk
- rebuild for new rpm

* Wed Jun 04 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.9.0-2mdk
- fix build with gcc-3.3 (Patch0)
- add missing file to devel package,
- fix unowned dir

* Wed Jul 17 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.0-1mdk
- mandrake adaption

* Mon Jun 04 2001 Harald Welte <laforge@gnumonks.org>
- redhat 7 compile...

* Mon Jun 04 2001 Harald Welte <laforge@conectiva.com>
+ libraw1394=0.9.0-1cl
- updated to 0.9.0

* Thu Apr 05 2001 Harald Welte <laforge@conectiva.com>
+ libraw1394-0.8.2-1cl
- initial conectiva RPM
- split devel package in devel / devel-static
- updated to 0.8.2

* Fri Jan 05 2001 Harald Welte <laforge@gnumonks.org>
- ported SPECfile to RedHat RPM
- libraw1394 0.8.1

* Mon Sep 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.6-2mdk
- clean spec

* Mon Jul 03 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6-1mdk
- initial spec
